Subject: Re: [bug#65883] [PATCH] .dir-locals.el: Update bug-reference configuration and document it.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 13 Sep 2023 23:20:56 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> (nil) <bug-reference-url-format>: Update URL.  Add comment.
>> * doc/contributing.texi (The Perfect Setup): New "Viewing bugs within Emacs"
>> subsection.
>
> [...]
>
>> +     ;; For use with 'bug-reference-prog-mode'.  Extra bug-reference
>> +     ;; configuration should be done in your Emacs user configuration file;
>> +     ;; refer to (info (guix) The Perfect Setup).
>
> Nitpick: (info "(guix) The Perfect Setup“), so one can C-x C-e it.  :-)

Neat!  I was wondering what's the trick to get them turn into links in
Emacs.

>>       (bug-reference-bug-regexp
>>        . "\\(<https?://\\bugs\\.gnu\\.org/\\([0-9]+\\)>\\)")
>
> Should we add issues.guix here?

No, because issues.guix ones are already URLs, opened in a browser.  For
Emacs users who prefer to have them open in Debbugs, that's what the
documented debbugs-browse-url-regexp is for.

>
> [...]
>
>> +(setq bug-reference-bug-regexp
>> +      (concat
>> +       "\\("
>> +       "\\(?:\\b\\(?:[Bb]ug ?#?\\|[Pp]atch ?#\\|[Ff]ixes:? ?#\\|\
>
> I second Brian’s suggestion to use ‘rx’.

That looks nicer indeed.  Will review it soon.

> Other than that, I think it’s wonderful, well done!

Thanks!

-- 
Maxim